Bug 341921 - multiarch conflicts in libast
multiarch conflicts in libast
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libast (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-19 17:44 EDT by Bill Nottingham
Modified: 2014-03-16 23:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-21 04:19:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-10-19 17:44:23 EDT
libast (or one of its subpacakges) has multiarch conflicts when installed for both i386 and x86_64 in the Fedora development tree. For help in resolving them, see http://fedoraproject.org/wiki/PackagingDrafts/MultilibTricks. 

  file /usr/bin/libast-config from install of libast-devel-0.7.1-0.2.20060818cvs.fc8 conflicts with file from package libast-devel-0.7.1-0.2.20060818cvs.fc8
  file /usr/include/libast/sysdefs.h from install of libast-devel-0.7.1-0.2.20060818cvs.fc8 conflicts with file from package libast-devel-0.7.1-0.2.20060818cvs.fc8
  file /usr/include/libast/types.h from install of libast-devel-0.7.1-0.2.20060818cvs.fc8 conflicts with file from package libast-devel-0.7.1-0.2.20060818cvs.fc8

(Note that this is an automated bug filing.)
It would be nice to have these bugs fixed by the beta of Fedora 9.
Comment 1 Terje Røsten 2007-10-21 12:48:13 EDT
For reference here is the diff between i386 and x86_64 packages:

libast-config is easy to fix, as te LDFLAGS line can be removed (standard location).


diff -uNr 32/usr/bin/libast-config 64/usr/bin/libast-config
--- 32/usr/bin/libast-config	2007-08-28 10:02:49.000000000 +0200
+++ 64/usr/bin/libast-config	2007-08-28 10:07:11.000000000 +0200
@@ -11,7 +11,7 @@
 prefix=/usr
 exec_prefix=/usr
 CPPFLAGS="-I/usr/include "
-LDFLAGS="-L/usr/lib "
+LDFLAGS="-L/usr/lib64 -L/usr/lib "
 LIBS="-lImlib2 -lfreetype -lX11 -lXext -ldl -lm   "
 X11_SUPPORT=
 IMLIB2_SUPPORT=Imlib2
diff -uNr 32/usr/include/libast/sysdefs.h 64/usr/include/libast/sysdefs.h
--- 32/usr/include/libast/sysdefs.h	2007-08-28 10:02:48.000000000 +0200
+++ 64/usr/include/libast/sysdefs.h	2007-08-28 10:07:11.000000000 +0200
@@ -127,7 +127,7 @@
 #  define SIZEOF_INT 4
 #endif
 #ifndef SIZEOF_LONG
-#  define SIZEOF_LONG 4
+#  define SIZEOF_LONG 8
 #endif
 #ifndef SIZEOF_LONG_LONG
 #  define SIZEOF_LONG_LONG 8
diff -uNr 32/usr/include/libast/types.h 64/usr/include/libast/types.h
--- 32/usr/include/libast/types.h	2007-08-28 10:02:48.000000000 +0200
+++ 64/usr/include/libast/types.h	2007-08-28 10:07:11.000000000 +0200
@@ -473,7 +473,7 @@
  *
  * @see @link DOXGRP_TYPES Portable Data Types @endlink
  */
-typedef signed   long long spif_int64_t;
+typedef signed   long spif_int64_t;
 
 /**
  * A 64-bit unsigned integer.
@@ -482,7 +482,7 @@
  *
  * @see @link DOXGRP_TYPES Portable Data Types @endlink
  */
-typedef unsigned long long spif_uint64_t;
+typedef unsigned long spif_uint64_t;
 /*@}*/
 
 /*@{*/

Comment 2 Terje Røsten 2008-01-21 04:19:02 EST
Fixed in libast-0.7.1-0.3.20060818cvs.fc9.

Note You need to log in before you can comment on or make changes to this bug.